CVE-2004-1107
CVSS2.1
发布时间 :2005-01-10 00:00:00
修订时间 :2008-09-05 16:40:24
NMCO    

[原文]dispatch-conf in Portage 2.0.51-r2 and earlier allows local users to overwrite arbitrary files via a symlink attack on temporary files.


[CNNVD]Gentoo Portage dispatch-conf 文件覆盖漏洞(CNNVD-200501-119)

        Portage是Gentoo的软件包管理系统。
        Portage 2.0.51-r2及之前版本中存在文件覆盖漏洞。
        上述版本软件中,dispatch-conf存在缺陷,本地用户可通过链接临时文件的方式,覆盖任意文件。

- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1107
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1107
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200501-119
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/11616
(VENDOR_ADVISORY)  BID  11616
http://www.gentoo.org/security/en/glsa/glsa-200411-13.xml
(VENDOR_ADVISORY)  GENTOO  GLSA-200411-13
http://xforce.iss.net/xforce/xfdb/17986
(VENDOR_ADVISORY)  XF  portage-dispatchconf-symlink(17986)
http://secunia.com/advisories/13108/
(UNKNOWN)  SECUNIA  13108
http://bugs.gentoo.org/show_bug.cgi?id=69147
(UNKNOWN)  CONFIRM  http://bugs.gentoo.org/show_bug.cgi?id=69147

- 漏洞信息

Gentoo Portage dispatch-conf 文件覆盖漏洞
低危 未知
2005-01-10 00:00:00 2005-10-20 00:00:00
本地  
        Portage是Gentoo的软件包管理系统。
        Portage 2.0.51-r2及之前版本中存在文件覆盖漏洞。
        上述版本软件中,dispatch-conf存在缺陷,本地用户可通过链接临时文件的方式,覆盖任意文件。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://www.gentoo.org/security/en/glsa/glsa-200411-13.xml

- 漏洞信息

11538
Portage dispatch-conf Symlink Arbitrary File Overwrite
Local Access Required Input Manipulation, Race Condition
Loss of Integrity
Exploit Unknown

- 漏洞描述

Gentoo Portage contains a flaw that may allow a malicious user to to overwrite arbitrary file reguardless of permissions. The issue is triggered when "dispatch-conf" script does not check permissions before writing to files in the /tmp directory occurs. It is possible that the flaw may allow overwrite a file that has root privilages resulting in a loss of integrity.

- 时间线

2004-11-07 2004-11-07
Unknow Unknow

- 解决方案

Upgrade to version 2.0.51-r3 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站